(height, percent, charge, low, lpm, m_color, b_color) {
	var canvas = document.createElement("canvas");
	canvas.height = height/2;
	canvas.width = canvas.height * 2.1;
	var ctx = canvas.getContext("2d");
	
	var r = height / 20;
	var m = height / 20;
	var p_Left = 0;
	var p_Right = canvas.height * 1.9;
	var p_Top = 0;
	var p_Bottom = canvas.height;
	var pi = Math.PI;
	
	var grad  = ctx.createLinearGradient( 0, 0, 0, canvas.height );
	grad.addColorStop( 0, "#434956" ); 
	grad.addColorStop( 1, "#41495C" ); 
	ctx.fillStyle = grad;

	ctx.beginPath();
	ctx.moveTo( p_Right, p_Top + m*3 );
	ctx.lineTo( p_Right + m, p_Top + m*3 );
	ctx.arc( p_Right + m, p_Top + m*3 + r, r, -pi/2, 0, false);
	ctx.lineTo( p_Right + m*2,  p_Bottom - m*3 - r );
	ctx.arc( p_Right + m*2 -r, p_Bottom - m*3 - r, r, 0, pi/2, false);
	ctx.lineTo( p_Right, p_Bottom - m*3);
//	ctx.arc( p_Right, p_Bottom - m*3 - r, r, pi/2, pi, false);
//	ctx.lineTo( p_Right - r, p_Top + m*3 + r);
//	ctx.arc( p_Right, p_Top + m*3 + r, r, pi, pi*3/2, false);
	ctx.closePath();
	ctx.fill();

	grad  = ctx.createLinearGradient( 0, 0, 0, canvas.height );
	grad.addColorStop( 0, "#2F3648" ); 
	grad.addColorStop( 1, "#7B828F" ); 
	ctx.fillStyle = grad;

	ctx.beginPath();
	ctx.moveTo( p_Left+r, p_Top );
	ctx.lineTo( p_Right-r, p_Top );
	ctx.arc( p_Right-r, p_Top+r, r, -pi/2, 0, false);
	ctx.lineTo( p_Right,  p_Bottom-r );
	ctx.arc( p_Right-r, p_Bottom-r, r, 0, pi/2, false);
	ctx.lineTo( p_Left+r, p_Bottom);
	ctx.arc( p_Left+r, p_Bottom-r, r, pi/2, pi, false);
	ctx.lineTo( p_Left, p_Top+r);
	ctx.arc( p_Left+r, p_Top+r, r, pi, pi*3/2, false);
	ctx.closePath();
	ctx.fill();

	grad  = ctx.createLinearGradient( 0, p_Top + m*3 + r, 0, p_Bottom - m*3 - r );
	grad.addColorStop( 0, "#FDFDFD" ); 
	grad.addColorStop( 1, "#898989" ); 
	ctx.fillStyle = grad;

	ctx.fillRect( p_Right, p_Top + m*3 + r, m, m*2 );

	p_Left += r;
	p_Top += r;
	p_Right -= r*2;
	p_Bottom -= r*2;
	grad  = ctx.createLinearGradient( 0, p_Top, 0, p_Bottom+r );
	grad.addColorStop( 0, "#4D4D4D" ); 
	grad.addColorStop( 3/16, "#4D4D4D" ); 
	grad.addColorStop( 14/16, "#C5C5C5" ); 
	grad.addColorStop( 1, "#C5C5C5" ); 
	ctx.fillStyle = grad;

	ctx.fillRect( p_Left, p_Top, p_Right, p_Bottom );

	return canvas.toDataURL("image/png");
}
